diff -Nurp netbook-launcher-1.6.22netbook0unr7natick2.orig/src/launcher-app.c netbook-launcher-1.6.22netbook0unr7natick2/src/launcher-app.c
--- netbook-launcher-1.6.22netbook0unr7natick2.orig/src/launcher-app.c	2009-09-18 14:21:25.000000000 -0300
+++ netbook-launcher-1.6.22netbook0unr7natick2/src/launcher-app.c	2009-09-18 14:22:40.000000000 -0300
@@ -509,7 +509,8 @@ on_places_clicked (LauncherShortcut *sho
 
     app->name = g_strdup (launcher_shortcut_get_label (shortcut));
     app->pixbuf = launcher_shortcut_get_icon (shortcut);
-    app->exec = g_strdup (clutter_actor_get_name (CLUTTER_ACTOR (shortcut)));
+    app->exec = g_strdup_printf ("%s %s", "nautilus ",
+                    clutter_actor_get_name (CLUTTER_ACTOR (shortcut)));
     app->can_fav = FALSE;
 
     volume = g_object_get_data (G_OBJECT (shortcut), "volume");
